import os.path

from ament_index_python.packages import get_package_share_directory

from launch import LaunchDescription
from launch_ros.actions import Node
from launch.substitutions import LaunchConfiguration, PathJoinSubstitution
from launch_ros.substitutions import FindPackageShare
from launch.conditions import IfCondition

def generate_launch_description():

    ld = LaunchDescription()   

    livox_driver = Node(
        package='livox_ros2_driver',
        executable='livox_ros2_driver_node',
        arguments=[]
    )

    ld.add_action(livox_driver)

    return ld
